aboutsummaryrefslogtreecommitdiff
path: root/package/botan/Config.in
diff options
context:
space:
mode:
authorGravatar Bernd Kuhls <bernd.kuhls@t-online.de>2018-08-19 01:30:49 +0200
committerGravatar Thomas Petazzoni <thomas.petazzoni@bootlin.com>2018-08-20 23:32:47 +0200
commit70ff2eec598070f3c8221a69e41a7273ebc5ce66 (patch)
tree691835deb28506eb5badb6ac5cdbef418273710b /package/botan/Config.in
parente305ae1c1b7b2b68f28842eaf8aed7a81d07a90a (diff)
downloadbuildroot-70ff2eec598070f3c8221a69e41a7273ebc5ce66.tar.gz
buildroot-70ff2eec598070f3c8221a69e41a7273ebc5ce66.tar.bz2
package/botan: bump version to 2.7.0
Depends on gcc >= 4.8: https://github.com/randombit/botan/blob/master/readme.rst Rebased patch 0001, added license hash and updated license path. Updated configure options for shared/static libraries after commit https://github.com/randombit/botan/commit/299119f02c09e7d3e657b13e1706cb653eff560c Added configure for ssp support after commit https://github.com/randombit/botan/commit/ebeae68aba0d3384a00fddde77a561bb0cd88102 This fixes a build error with toolchains without ssp support. Removed dependency to gmp: https://github.com/randombit/botan/issues/719 Signed-off-by: Bernd Kuhls <bernd.kuhls@t-online.de> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
Diffstat (limited to 'package/botan/Config.in')
-rw-r--r--package/botan/Config.in6
1 files changed, 4 insertions, 2 deletions
diff --git a/package/botan/Config.in b/package/botan/Config.in
index 733dc8965a..db2b33dfbe 100644
--- a/package/botan/Config.in
+++ b/package/botan/Config.in
@@ -8,6 +8,7 @@ config BR2_PACKAGE_BOTAN_ARCH_SUPPORTS
config BR2_PACKAGE_BOTAN
bool "botan"
depends on BR2_INSTALL_LIBSTDCPP
+ depends on BR2_TOOLCHAIN_GCC_AT_LEAST_4_8
depends on BR2_TOOLCHAIN_HAS_THREADS
depends on BR2_PACKAGE_BOTAN_ARCH_SUPPORTS
help
@@ -15,6 +16,7 @@ config BR2_PACKAGE_BOTAN
http://botan.randombit.net
-comment "botan needs a toolchain w/ C++, threads"
- depends on !BR2_TOOLCHAIN_HAS_THREADS || !BR2_INSTALL_LIBSTDCPP
+comment "botan needs a toolchain w/ C++, threads,gcc >= 4.8"
+ depends on !BR2_TOOLCHAIN_HAS_THREADS || !BR2_INSTALL_LIBSTDCPP \
+ || !BR2_TOOLCHAIN_GCC_AT_LEAST_4_8
depends on BR2_PACKAGE_BOTAN_ARCH_SUPPORTS